
QGIS Application - Bug report #12730

"Check Geometry Validity" produces incorrect result 

2015-05-11 08:21 AM - Daniel Baston

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20830

Description

The following is a valid, two-part MULTIPOLYGON:

MULTIPOLYGON (((-71.757875 44.565735, -71.748526 44.560716, -71.758014 44.564355, -71.757875 44.565735)), 

  ((-71.760777 44.567292, -71.75725 44.56739, -71.757875 44.565735, -71.760777 44.567292)))

The "Check Geometry Validity" tool reports the following:

1,segment 0 of ring 0 of polygon 0 intersects segment 0 of ring 1 of polygon 1 at -71.757875, 44.565735

1,Geometry has 1 errors.

Using build 2863f20

Associated revisions

Revision 3eef29ab - 2015-06-23 10:15 PM - Jürgen Fischer

geometry validator: fix touching lines check (followup b9b9bc3, fixes #12730)

Revision 2a066d89 - 2015-06-30 01:49 PM - Jürgen Fischer

geometry validator: fix touching lines check (followup b9b9bc3, fixes #12730)

(cherry picked from commit 3eef29ab1bd4cc007b7db5012dad23d9c39e2249)

History

#1 - 2015-05-20 10:16 AM - Arnaud Morvan

The two parts of the polygon have one point in common.

In Settings/Options/Digitizing/Feature creation, there is two options for validity checking which are QGIS or GEOS.

When checking the validity from ftools menu entry,

QGIS method effectively returns that the poligon is not valid:

  1,segment 0 of ring 0 of polygon 0 intersects segment 0 of ring 1 of polygon 1 at -71.757875, 44.565735

  1,Geometry has 1 errors.

GEOS method returns that the polygon is valid.

#2 - 2015-05-21 01:36 AM - Giovanni Manghi
- Status changed from Open to Feedback

- Category set to 44

Arnaud Morvan wrote:

GEOS method returns that the polygon is valid.

shoud we close this then?

#3 - 2015-05-21 05:45 AM - Daniel Baston

That's interesting.  Is the intent of the "QGIS Method" to validate against a different set of rules than GEOS / OGC?

#4 - 2015-06-23 07:32 AM - Daniel Baston

- Assignee set to Jürgen Fischer

Related to https://github.com/qgis/QGIS-Documentation/issues/472

#5 - 2015-06-23 11:28 AM - Jürgen Fischer

- Category deleted (44)

- Assignee deleted (Jürgen Fischer)

#6 - 2015-06-23 01:16 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"3eef29ab1bd4cc007b7db5012dad23d9c39e2249".
